package solver

import (
	"log"
)

func Run() {
	// Instantiate the Solver interface
	solver := Solver{}

	// TODO: Move to args
	solver.row1 = "769104802"
	solver.row2 = "154800060"
	solver.row3 = "002700150"
	solver.row4 = "600900308"
	solver.row5 = "045328670"
	solver.row6 = "328670945"
	solver.row7 = "597410280"
	solver.row8 = "006283090"
	solver.row9 = "200590006"

	solver.row1 = "769104802"
	solver.row2 = "154800060"
	solver.row3 = "832700154"
	solver.row4 = "600900328"
	solver.row5 = "045328670"
	solver.row6 = "328670945"
	solver.row7 = "597410280"
	solver.row8 = "006283090"
	solver.row9 = "200590006"

	// Load blocks from CSV file
	solver.load_blocks()

	// Find rows that fit with the entered rows
	solver.populate_blocks()

	// Print the total number of solutions to validate
	log.Println("Number of (potential) solutions:", solver.iter)

	// Check the number of solutions
	go solver.check_combinations()
	solver.tracker()

	// Print the valid solutions
	solver.print_solutions()

}
